Bug 75974 - Configuring ncp printer does not configure IPX
Configuring ncp printer does not configure IPX
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 09:23 EDT by petr
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:47:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petr 2002-10-15 09:23:50 EDT
Description of problem:
After complete configuration of ncp printer in "Red Hat Printer Config" and
reboot, printing does not work. The cause is that IPX is not configured in
/etc/sysconfig/network

How reproducible:
Always

Steps to Reproduce:
1. New printer, ncp queue
2. reboot
3. try to print
	
Additional info:
There shall be following entries added to /etc/sysconfig/network file:

IPX="yes"
IPXINTERNALNETNUM="0"
IPXINTERNALNODENUM="0"
IPXAUTOPRIMARY="on"
IPXAUTOFRAME="on"

BTW, nowhere in the documentation (pdf guides) is mentioned how to do it,
instructions are only in /usr/share/doc/initscripts-6.95/sysconfig.txt file.
Comment 1 Tim Waugh 2002-10-15 09:25:31 EDT
Harald: I don't want to interfere with any redhat-config-network settings. 
What's the best way to fix this?
Comment 2 Harald Hoyer 2002-10-15 09:54:51 EDT
twaugh, no problem, just set these ipx parameters... r-c-n uses the native
files, so unless the user has profiles, it should work.
BUT, who uses IPX ???
Comment 3 Harald Hoyer 2002-10-15 09:55:27 EDT
forgot the smiley after the last question ;-)
Comment 4 Tim Waugh 2002-10-15 09:57:07 EDT
Okay, I'll do that.  Thanks.
Comment 5 Bill Nottingham 2006-08-07 15:30:26 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 6 Bill Nottingham 2006-10-18 12:47:35 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.